注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

淡忘邻人

二十七,始发愤

 
 
 

日志

 
 
 
 

ubuntu下安装lua  

2010-12-04 20:15:17|  分类: Lua |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
最近项目要用到,安装过程小有坎坷,所以记录一下。共勉。

1、下载lua的源码包,地址如下,最新版本5.1.2。
http://www.lua.org/ftp/lua-5.1.2.tar.gz

2、下载ubuntu的编译支持
sudo apt-get install build-essential
注意,这里不仅仅是安装gcc而已,还包括很多其他工具。

3、下载libreadline相关支持,这个东西在编译时需要用到,无奈。
sudo apt-get install libreadline5
sudo apt-get install libreadline5-dev

4、编译以及安装
tar xzvf lua-5.1.2.tar.gz
cd lua-5.1.2
make linux
sudo make install
这里make的参数linux也可以是其他操作系统,视具体情况而定。

5、测试
$ lua
Lua 5.1.2 Copyright (C) 1994-2007 Lua.org, PUC-Rio
>
按下Ctrl+D退出。

对了我用ubuntu dapper的,平时用xfce。祝好。
  评论这张
 
阅读(195)| 评论(0)
推荐 转载

历史上的今天

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017